import { PreBarrage, Session } from "../../src/index";

let sessionJson: string;
describe("PreBarrage", () => {
    beforeEach(()=> {
        sessionJson = `{"header":{"source":"jalhyd","format_version":"1.3","created":"2023-12-04T08:57:08.915Z"},"settings":{"precision":1e-7,"maxIterations":100,"displayPrecision":3},"documentation":"","session":[{"uid":"bHFucX","props":{"calcType":"PreBarrage","nullparams":true},"meta":{"title":"Prébarrages 3"},"children":[{"uid":"OHVsaT","props":{"calcType":"PbBassin"},"children":[],"parameters":[{"symbol":"S","mode":"SINGLE","value":60},{"symbol":"ZF","mode":"SINGLE","value":11.3}]},{"uid":"NW9mZm","props":{"calcType":"PbCloison","upstreamBasin":"","downstreamBasin":"OHVsaT"},"children":[{"uid":"YXhlYm","props":{"calcType":"Structure","loiDebit":"WeirVillemonte","structureType":"SeuilRectangulaire"},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":12.28},{"symbol":"L","mode":"SINGLE","value":3.05},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]},{"uid":"ZnJ2cH","props":{"calcType":"Structure","loiDebit":"WeirVillemonte","structureType":"SeuilRectangulaire","nullparams":true},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":12.7},{"symbol":"L","mode":"SINGLE","value":12.9},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]}],"parameters":[]},{"uid":"ZXd1M3","props":{"calcType":"PbBassin"},"children":[],"parameters":[{"symbol":"S","mode":"SINGLE","value":70},{"symbol":"ZF","mode":"SINGLE","value":11}]},{"uid":"ajU3aH","props":{"calcType":"PbCloison","upstreamBasin":"","downstreamBasin":""},"children":[{"uid":"bzY2Zm","props":{"calcType":"Structure","loiDebit":"WeirFree","structureType":"SeuilRectangulaire","nullparams":true},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":12.7},{"symbol":"L","mode":"SINGLE","value":0.4},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]},{"uid":"bGNjMH","props":{"calcType":"Structure","loiDebit":"WeirFree","structureType":"SeuilRectangulaire","nullparams":true},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":12.77},{"symbol":"L","mode":"SINGLE","value":1.8},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]},{"uid":"ZzM2bH","props":{"calcType":"Structure","loiDebit":"WeirVillemonte","structureType":"SeuilRectangulaire","nullparams":true},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":12.71},{"symbol":"L","mode":"SINGLE","value":24},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]},{"uid":"bzl5bG","props":{"calcType":"Structure","loiDebit":"WeirVillemonte","structureType":"SeuilRectangulaire","nullparams":true},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":12.74},{"symbol":"L","mode":"SINGLE","value":7.5},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]},{"uid":"Z3Vta3","props":{"calcType":"Structure","loiDebit":"WeirVillemonte","structureType":"SeuilRectangulaire","nullparams":true},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":12.7},{"symbol":"L","mode":"SINGLE","value":7},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]}],"parameters":[]},{"uid":"cXlvdG","props":{"calcType":"PbBassin"},"children":[],"parameters":[{"symbol":"S","mode":"SINGLE","value":70},{"symbol":"ZF","mode":"SINGLE","value":10.7}]},{"uid":"YWx1dG","props":{"calcType":"PbCloison","upstreamBasin":"ZXd1M3","downstreamBasin":"cXlvdG"},"children":[{"uid":"cnZ6dn","props":{"calcType":"Structure","loiDebit":"WeirVillemonte","structureType":"SeuilRectangulaire","nullparams":true},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":11.88},{"symbol":"L","mode":"SINGLE","value":3.1},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]},{"uid":"aWFyaX","props":{"calcType":"Structure","loiDebit":"WeirVillemonte","structureType":"SeuilRectangulaire","nullparams":true},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":12.28},{"symbol":"L","mode":"SINGLE","value":10},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]}],"parameters":[]},{"uid":"b3kwMm","props":{"calcType":"PbCloison","upstreamBasin":"OHVsaT","downstreamBasin":"ZXd1M3"},"children":[{"uid":"OTAzYW","props":{"calcType":"Structure","loiDebit":"WeirVillemonte","structureType":"SeuilRectangulaire"},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":12.08},{"symbol":"L","mode":"SINGLE","value":3.1},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]},{"uid":"ZGIxYm","props":{"calcType":"Structure","loiDebit":"WeirVillemonte","structureType":"SeuilRectangulaire","nullparams":true},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":12.46},{"symbol":"L","mode":"SINGLE","value":8},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]}],"parameters":[]},{"uid":"ZnUxa3","props":{"calcType":"PbBassin"},"children":[],"parameters":[{"symbol":"S","mode":"SINGLE","value":70},{"symbol":"ZF","mode":"SINGLE","value":10.7}]},{"uid":"MDMxb2","props":{"calcType":"PbCloison","upstreamBasin":"cXlvdG","downstreamBasin":"ZnUxa3"},"children":[{"uid":"eTRuZ2","props":{"calcType":"Structure","loiDebit":"WeirCem88d","structureType":"SeuilRectangulaire","nullparams":true},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":11.8},{"symbol":"L","mode":"SINGLE","value":4},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]},{"uid":"aW9wcD","props":{"calcType":"Structure","loiDebit":"WeirVillemonte","structureType":"SeuilRectangulaire","nullparams":true},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":12.15},{"symbol":"L","mode":"SINGLE","value":12.5},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]}],"parameters":[]},{"uid":"MW4zOG","props":{"calcType":"PbCloison","upstreamBasin":"ZnUxa3","downstreamBasin":""},"children":[{"uid":"dmk1NG","props":{"calcType":"Structure","loiDebit":"WeirCem88d","structureType":"SeuilRectangulaire","nullparams":true},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":11.62},{"symbol":"L","mode":"SINGLE","value":5},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]},{"uid":"bzh3bH","props":{"calcType":"Structure","loiDebit":"WeirVillemonte","structureType":"SeuilRectangulaire","nullparams":true},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":11.96},{"symbol":"L","mode":"SINGLE","value":14},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]}],"parameters":[]}],"parameters":[{"symbol":"Q","mode":"SINGLE","value":2.36},{"symbol":"Z1","mode":"CALCUL"},{"symbol":"Z2","mode":"SINGLE","value":11.96}]}]}`;
    });
    describe("jalhyd#351", () => {
        it("Downstream Discharge should be equal to the some of upstream Cloisons", () => {
            // tslint:disable-next-line:max-line-length
            Session.getInstance().unserialise(sessionJson);
            const nub = Session.getInstance().findNubByUid("bHFucX") as PreBarrage;
            // nub.DBG = true;
            nub.CalcSerie();
            expect(nub.cloisonsAmont[0].prms.Q.v + nub.cloisonsAmont[1].prms.Q.v).toBeCloseTo(nub.prms.Q.v);
        });
    });
});
